import request from '@/utils/request'

// 获取表单数据
export function getQueryList(data) {
  return request({
    url: '/boman-web-core/p/cs/queryList',
    method: 'POST',
    data
  })
}
// 获取表单查询字段、按钮、表头
export function getTableQuery(data) {
  return request({
    url: '/boman-web-core/p/cs/getObject',
    method: 'POST',
    data
  })
}

// 销假
export function ancellation(data) {
  return request({
    url: '/boman-web-core/cancel/leave',
    method: 'POST',
    data
  })
}


// 获取表单查询字段、按钮、表头
export function tableQuery(data) {
  return request({
    url: '/boman-web-core/p/cs/getTableQuery',
    method: 'POST',
    data
  })
}

// 保存
export function addbjectSave(data) {
  return request({
    url: '/boman-web-core/p/cs/objectSave',
    method: 'POST',
    data
  })
}
// 获取表单列表数据
export function getObject(data) {
  return request({
    url: '/boman-web-core/p/cs/getObject',
    method: 'POST',
    data
  })
}
// 根据表名获取表单信息
export function getByTableName(data) {
  return request({
    url: '/boman-web-core/p/cs/table/getByTableName',
    method: 'POST',
    data
  })
}
export function delMenu(data) {
  return request({
    url: '/boman-web-core/p/cs/objectDelete',
    method: 'POST',
    data
  })
}

// 提交
export function tableSubimt(data) {
  return request({
    url: '/boman-web-core/p/cs/objectSubmit',
    method: 'POST',
    data
  })
}
 // 反提交
 export function tableSubimtanit(data) {
   return request({
     url: '/boman-web-core/p/cs/objectUnSubmit',
     method: 'POST',
     data
   })
 }
// 获取表单tab数据
 export function geteditindeTab(data) {
   return request({
     url: '/boman-web-core/p/cs/objectTab',
     method: 'POST',
     data
   })
 }

 // 删除菜单
 export function delMenutab(data) {
   return request({
     url: 'boman-web-core/p/cs/objectDelete',
     method: 'POST',
     data
   })
 }
 // 提交2.0
 export function tabsubm(data) {
   return request({
     url: '/jflow/p/c/process/launch',
     method: 'POST',
     data
   })
 }

 export function bohuie(data) {
   return request({
     url: '/jflow/p/c/task/backlog/detail',
     method: 'POST',
     data
   })
 }

 // 查询用户个人信息
 export function getUserProfiletab() {
   return request({
     url: '/system/user/profile',
     method: 'get'
   })
 }
